QGIS Application - Bug report #15574
QLR function doesn't throw an error when it fails to load a database based layer
2016-09-17 01:12 AM - Bo Thomsen

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.16.2 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 23498
Description

If you 1) have a QLR file that loads a database based layer (Postgres, MS-Sqlserver) and 2) the database is not responding, then the QLR
function doesn't emit an error (as it should).

Steps to recreate (If you don't have a corrupted database handy):

1. Create a qlr-file that contains an reference to a database based layer (in my case a MS-Sqlserver based layer)

2. Edit the glr file with a text editor and change the database reference to a non existing database. This will emulate a non-responsive
database

3. Load the edited gr file in Qgis.

The result is:

1. A new layer in the layer selector with the right name, but no thematic information

2. No new data on the map (Doh!!)

3. Most important: No error from Qgis.

The experiment was conducted with a MS-Sqlserver database, but the situation is the same on a postgres/postgis based database system

QGIS version 2.16.2, 64 bit, Windows 7, 64 bit. | haven't tried earlier versions of Qgis or other OS than Windows 7.

History

#1 - 2017-05-01 01:03 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#2 - 2017-09-22 09:55 AM - Jiirgen Fischer
- Category set to Unknown

#3 - 2019-03-09 03:08 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history - a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version
will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the
relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the
ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.
The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
